<div class="row-fluid" style="padding-top:25px;">
  <h2 class="heading uppercase">Usuarios
      <div class="btn-group pull-right">
        <button class="btn btn-success" onclick="adicionarUsuario();"><i class="icon-plus-sign"></i> Adicionar</button>
      </div>
  </h2>
</div>
<script type="text/javascript">
alertify.confirm().set("resizable",false);
	window.messageError = function(mess){
		return '<div class=\"control-group\">'+
			'<div class="controls">'+
            '<div class="alert alert-error">'+
              '<button type="button" class="close" data-dismiss="alert">×</button>'+
              '<strong>Error: </strong>'+mess+ 
            '</div></div></div>';
	}
	function verUsuario(ci){
		$.get("usuarios/"+ci, function(data){
			alertify.alert("Informacion de Usuario", data, function(e) {});
		}).fail(function(xhr){
			alertify.alert("Error","Ocurrio un Error Al Intentar Cargar la Pagina.", function(e) {
		        console.info(xhr);
		    });
		})
	}
	function adicionarUsuario(){
		$(".alertify #adicionar #messages").html("")
		$(".alertify #adicionar input").val("")
		window.cmodal =
		alertify.confirm("Adicionar Usuario",$("#tempAdd").html(), function(e) {
			//console.log("event", e);
			
			if(validarUsuario()){
				$.post("usuarios", $(".alertify #adicionar").serializeArray(), function(d){
					$(".alertify #messages").html("");
					if(d.estado=="error")
						d.messages.forEach(function(e){
							$(".alertify #messages").append(messageError(e));
						},window);
					else{
						alertify.closeAll();
						alertify.notify("Usuario Adicionado!", "success", 5, function(){ });
						load(currentPage);
					}
						
				},"json").fail(function(xhr){
					console.info(xhr)
					alertify.closeAll();
					if(xhr.status == 400)
						$(".alertify #messages").append(messageError("Error en el Formato de datos"));
					else
						alertify.notify('Error al conectarse al servicdor.', 'error', 5, function(){ });
				})
			}else{
				return false;
			}
			return false;
		},function(e){})
		.set('labels', {ok:'Guardar', cancel:'Cancelar'});
	}
	function validarUsuario(){
		console.log("validarUsuario");
		return true;
	}
	function modificarUsuario(ci){
		$.get("usuarios/modificar/"+ci, function(data){
			alertify.confirm("Modificar Usuario", data, function(e) {
				if(validarUsuario()){
					$.post("usuarios/modificar", $(".alertify #modificar").serializeArray(), function(d){
						$(".alertify #messages").html("");
						if(d.estado=="error")
							d.messages.forEach(function(e){
								$(".alertify #messages").append(messageError(e));
							},window);
						else{
							alertify.closeAll();
							alertify.notify("Usuario Adicionado!", "success", 5, function(){ });
							load(currentPage);
						}
					},"json").fail(function(xhr){
						console.info(xhr)
						alertify.closeAll();
						if(xhr.status == 400)
							$(".alertify #messages").append(messageError("Error en el Formato de datos"));
						else
							alertify.notify('Error al conectarse al servicdor.', 'error', 5, function(){ });
					})
				}else{
					return false;
				}
				return false;
			},function(e){});
		}).fail(function(xhr){
			alertify.alert("Ocurrio un Error Al Intentar Cargar la Pagina.", function(e) {
		        console.info(xhr);
		    });
		})
	}
	function eliminarUsuario(nombre, ci, estado){
		alertify.confirm("Eliminar Usuario", "Esta seguro de <strong>" +
				(estado?"Inhabilitar":"Habilitar") + "</strong> a <strong>" + nombre +
				"</strong>?<input type='hidden' value='" + ci + "/" + !estado + "' id='hvalue' />", function(e){
					$.delete("usuarios/" + $(".alertify #hvalue").val(), function(d){
						d = typeof d == "string"? JSON.parse(d): d;
						var message = null;
						if(d.estado == "success"){
							message = "Usuario Eliminado!";
							load(currentPage);
						}
						else
							message = d.messages.join("<br>");
						alertify.notify(message, d.estado, 5, function(){ });
						if(d.error != null)
							console.info(d)
					}).fail(function(xhr){
						alertify.notify('Error al conectarse al servicdor.', 'error', 5, function(){ });
					})
		},function(e){})
	}
</script>
<div class="row-fluid">
  <table id="tablaUsuarios" class="table table-striped table-bordered dataTable">
	  <thead>
	    <tr>
	      <th width="10%">CI</th>
	      <th>Nombre Completo</th>
	      <th width="20%">Rol</th>
	      <th width="10%">Estado</th>
	      <th width="15%"></th>
	    </tr>
	  </thead>
  	<tbody>
	  #foreach($u in $usuarios)
	    <tr>
	      <td>${u.ci}</td>
	      <td>${u.getNombreCompleto()}</td>
	      #foreach($r in $roles)
	      #if($r.codR == $u.codR)<td>${r.nombre}</td>#end
	      #end
	      #if($u.estado)
	      <td><span class="label label-success">Activo</span></td>
	      #else
	      <td><span class="label label-important">Inactivo</span></td>
	      #end
	      <td>
	        <div class="btn-group">
	          <a class="btn btn-small dropdown-toggle" data-toggle="dropdown" href="#">Acciones
	            <span class="caret"></span>
	          </a>
	          <ul class="dropdown-menu pull-right">
	            <li><a href="#" onclick="verUsuario(${u.ci});return false;"><i class="icon-eye-open"></i> Ver</a></li>
	           <li><a href="#" onclick="modificarUsuario(${u.ci});return false;"><i class="icon-edit"></i> Modificar</a></li>
	           <li><a href="#" onclick="eliminarUsuario('${u.getNombreCompleto()}',${u.ci},${u.estado});return false;">
	           #if($r.estado)<i class="icon-thumbs-down"></i> Eliminar #else <i class="icon-thumbs-up"></i> Habilitar #end</a></li>
	         </ul>
	       </div>
	     </td>
	   </tr>
	 #end
	 </tbody>
  </table>
</div>
<script>
	$('#tablaUsuarios').dataTable( dataTablesConfig );
</script>
<template id="tempAdd">
	<div class="widget-forms clearfix">
		<div id="messages" class="text-center"></div>
	  <form class="form-horizontal" id="adicionar">
	  	<div class="control-group">
	      <label class="control-label">CI *</label>
	      <div class="controls">
	        <input class="w100" type="number" min="19999" max="99999999" name="ci" required="required">
	      </div>
	    </div>
	    <div class="control-group">
	      <label class="control-label">Nombres *</label>
	      <div class="controls">
	        <input class="w100" type="text" name="nombre" maxlength="30" pattern="^[a-zA-ZñÑ. ]{3,30}$" required="required">
	      </div>
	    </div>
	    <div class="control-group">
	      <label class="control-label">Apellido Paterno *</label>
	      <div class="controls">
	        <input class="w100" type="text" name="ap" maxlength="25" pattern="^[a-zA-ZñÑ. ]{3,25}$" required="required">
	      </div>
	    </div>
	    <div class="control-group">
	      <label class="control-label">Apellido Materno</label>
	      <div class="controls">
	        <input class="w100" type="text" name="am" pattern="^[a-zA-ZñÑ. ]{3,25}$" maxlength="25" >
	      </div>
	    </div>
	    <hr>
	    <div class="control-group">
          <label class="control-label">Rol *</label>
            <div class="controls">
              <select tabindex="1" class="w100" name="codR" required="required">
                 <option value="0" selected="selected">Seleccione un rol...</option>
                 <optgroup label="Roles Activos">
                 	#foreach($r in $roles)
                    #if($r.estado)
                    <option value="${r.codR}">${r.nombre}</option>
                    #end
                    #end
                  </optgroup>
                  <optgroup label="Roles Inactivos">
                    #foreach($r in $roles)
                    #if(!$r.estado)
                    <option value="${r.codR}" disabled="disabled">${r.nombre}</option>
                    #end
                    #end
                  </optgroup>
              </select>
           </div>
        </div>
        <hr>
	    <div class="control-group">
	      <label class="control-label">Usuario *</label>
	      <div class="controls">
	        <input class="w100" type="text" name="login" maxlength="20" pattern="^[a-zA-Z0-9.@]{4,20}$" required="required">
	      </div>
	    </div>
	    <div class="control-group">
	      <label class="control-label">Contraseña *</label>
	      <div class="controls">
	        <input class="w100" type="password" name="password" maxlength="20" pattern="^[a-zA-Z0-9*.#+]{4,20}$" required="required">
	      </div>
	    </div>
	  </form>
	</div>
</template>